#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    double double_eq_const_0_0;
    double double_eq_const_1_0;
    double double_eq_const_2_0;
    double double_eq_const_3_0;
    double double_eq_const_4_0;
    double double_eq_const_5_0;

    if (size < 48)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&double_eq_const_0_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_1_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_2_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_3_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_4_0, &data[i], 8);
    i += 8;
    memcpy(&double_eq_const_5_0, &data[i], 8);
    i += 8;


    if (double_eq_const_0_0 == 3.8421316113879206E284)
    if (double_eq_const_1_0 == 6.758371406900867E103)
    if (double_eq_const_2_0 == -1.6912797933703428E72)
    if (double_eq_const_3_0 == -2.2086380607823383E45)
    if (double_eq_const_4_0 == 8.788567194595185E49)
    if (double_eq_const_5_0 == -4.831210010213775E-275)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
